<?php
/*
 * UnifonicAuthenticateLib
 *
 * This file was automatically generated by APIMATIC v2.0 ( https://apimatic.io ).
 */

namespace UnifonicAuthenticateLib;

use UnifonicAuthenticateLib\Controllers;

/**
 * UnifonicAuthenticateLib client class
 */
class UnifonicAuthenticateClient
{
    /**
     * Constructor with authentication and configuration parameters
     */
    public function __construct(
        $xAuthenticateAppId = null,
        $authorization = null
    ) {
        Configuration::$xAuthenticateAppId = $xAuthenticateAppId ? $xAuthenticateAppId : Configuration::$xAuthenticateAppId;
        Configuration::$authorization = $authorization ? $authorization : Configuration::$authorization;
    }
    /**
     * Singleton access to Verifications controller
     * @return Controllers\VerificationsController The *Singleton* instance
     */
    public function getVerifications()
    {
        return Controllers\VerificationsController::getInstance();
    }
}
